Skip to main content
POST
Create organization team workflow for routing-forms

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

teamId
number
required
orgId
number
required

Body

application/json
name
string
required

Name of the workflow

Example:

"Platform Test Workflow"

activation
object
required

Activation settings for the workflow

trigger
object
required

Trigger configuration for the routing-form workflow, allowed triggers are formSubmitted,formSubmittedNoEvent

steps
object[]
required

Steps to execute as part of the routing-form workflow, allowed steps are email_attendee,email_address,sms_attendee,sms_number

Response

201 - application/json
status
enum<string>
required

Indicates the status of the response

Available options:
success,
error
Example:

"success"

data
object[]
required

workflow